<?php

namespace Drupal\castorcito\Controller;

use Drupal\castorcito\CastorcitoComponentInterface;
use Drupal\Core\Controller\ControllerBase;


/**
 * Returns responses for Castorcito.
 */
class Castorcito extends ControllerBase {
  /**
   * The current component.
   *
   * @var \Drupal\castorcito\CastorcitoComponentInterface
   */
  protected $component;

  /**
   * Displays the json model or configuration.
   */
  public function viewJson(CastorcitoComponentInterface $castorcito_component) {
    $this->component = $castorcito_component;
    $json = $this->component->get('model');

    return  [
      '#theme' => 'castorcito_view_json',
      '#json' => $json,
      '#attached' => [
        'library' => [
          'castorcito/castorcito.admin'
        ]
      ]
    ];
  }

}
